/******************************************************************************
* FILE PURPOSE: Install XDM compliant Encoder
******************************************************************************
* FILE NAME:   siuVctSupportedCodecs.c
*
* DESCRIPTION: Install XDM compliant Encoder
*
* TABS: NONE
*
*
* (C) Copyright 2011, Texas Instruments Incorporated
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
#include <ti/mas/types/types.h>
#include <stdio.h>
#include <string.h>
#include "siuVctCodecAPI.h"

/*#include "vctMpeg4EncClient.h"*/
/*#include "vctH264EncClient.h"*/
/*#include "vctMpeg4DecClient.h"*/
/*#include "vctH264HpDecClient.h"*/
/*#include "vctMpeg2DecClient.h"*/
/*#include "vctH264BpMpDecClient.h"*/
/*#include "vctMctnfClient.h"*/
/*#include "vctJ2KDecClient.h"*/
/*#include "vctJ2kEncClient.h"*/
/*#include "vctAvciuEncClient.h"*/
#include "vctHevcEncClient.h"
#include "vctHevcDecClient.h"
#include "vctH264HpEncClient.h"
/*#include "vctMpeg2EncClient.h"*/
/*#include "vctJpegDecClient.h"*/
/*#include "vctJpegEncClient.h"*/
/*#include "vctAACEncClient.h"*/
/*#include "vctMp3DecClient.h"*/
/*#include "vctSorsparkDecClient.h"*/
/*#include "vctDv100DecClient.h"*/
/*#include "vctDv50DecClient.h"*/
/*#include "vctDv25DecClient.h"*/
/*#include "vctVc1DecClient.h"*/

vidEncoderAPI_t supportedVidEncoders[] = {
  /*mpeg4EncAPI,*/
  /*h264EncAPI,*/
  /*j2kEncAPI,*/
  /*avciuEncAPI,*/
    h264hpEncAPI,
  /*mpeg2EncAPI,*/
    hevcEncAPI,
    /* INSTALL MORE CODECS HERE */
    vidEncNullAPI
};

vidDecoderAPI_t supportedVidDecoders[] = {
    /*mpeg4DecAPI,*/
    /*h264hpDecAPI,*/
    /*h264bpmpDecAPI,*/
    /*mpeg2DecAPI,*/
    /*j2kDecAPI,*/
    hevcDecAPI,
    /*sorsparkDecAPI,*/
    /*dv100DecAPI,*/
    /*dv50DecAPI,*/
    /*dv25DecAPI,*/
    /*vc1DecAPI,*/
    /* INSTALL MORE CODECS HERE */
    vidDecNullAPI
};

vidFilterAPI_t supportedVidFilters[] = {
    /*mctnfAPI,*/
    /* INSTALL MORE CODECS HERE */
    vidFilterNullAPI
};

imgEncoderAPI_t supportedImgEncoders[] = {
    /*jpegEncAPI,*/
    /* INSTALL MORE CODECS HERE */
    imgEncNullAPI
};

imgDecoderAPI_t supportedImgDecoders[] = {
    /*jpegDecAPI,*/
    /* INSTALL MORE CODECS HERE */
    imgDecNullAPI
};

audEncoderAPI_t supportedAudEncoders[] = {
    /*aacEncAPI,*/
    /* INSTALL MORE CODECS HERE */
    audEncNullAPI
};

audDecoderAPI_t supportedAudDecoders[] = {
    /*mp3DecAPI,*/
    /* INSTALL MORE CODECS HERE */
    audDecNullAPI
};


/* nothing past this point */
